## org.biojava.bio.gui
Class SequencePanel.Border

    java.lang.Object
      |
      +--org.biojava.bio.gui.SequencePanel.Border

Enclosing class:
  SequencePanel

public class SequencePanel.Border
extends java.lang.Object
implements java.io.Serializable, javax.swing.SwingConstants

See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` `pcs`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`int` `getAlignment()`
`double` `getSize()`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` `setAlignment(int alignment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pcs

    protected final java.beans.PropertyChangeSupport pcs

Method Detail

### getSize

    public double getSize()

### getAlignment

    public int getAlignment()

### setAlignment

    public void setAlignment(int alignment)
                      throws java.lang.IllegalArgumentException

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)